/* CSS DIRECTORY
  1.  =GLOBAL
  2.  =BODY
  3.  =HEADER
  4.  =MAIN-CONTENT-BOX
  5.  =TITLE
  6.  =SUBTITLE
  7.  =INPUT-GROUP
  8.  =INPUT-BOX
  9.  =INPUT
  10. =INPUT-HANDLING
  11. =BUTTONS
  12. =STATES
*/

/* Browser Technology
Aangifte Erfbelasting, NS Style
This is a school project and not functional */

/* ===GLOBAL=== */

:root {
  /* colors */
  --nes-primary-yellow: #ffc917;
  --nes-primary-blue: #003082;
  --nes-primary-text: #070721;
  --nes-primary-background: #fff;
  --nes-secondary-background: #e6e6e9;
  --nes-primary-link: #0063d3;
  --nes-secondary-link: #f0f0f2;
  --nes-primary-link-text: #252528;
  --nes-primary-box-shadow: #004ba0;
  --nes-primary-border-color: #c4c5cb;
  --nes-secondary-border-color: #93949a;
  --nes-primary-error: #db0028;
  --nes-primary-valid: #00c690;
}

/* fonts */
/* bold */
@font-face {
  font-family: "NS Sans";
  src: local("NS Sans Bold"), url("../fonts/nssans-bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

/* bold italic */
@font-face {
  font-family: "NS Sans";
  src: local("NS Sans Bold Italic"),
    url("../fonts/nssans-bolditalic.woff2") format("woff2");
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}

/* semibold */
@font-face {
  font-family: "NS Sans";
  src: local("NS Sans Demi"), url("../fonts/nssans-demi.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

/* regular */
@font-face {
  font-family: "NS Sans";
  src: local("NS Sans Regular"),
    url("../fonts/nssans-regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* italic */
@font-face {
  font-family: "NS Sans";
  src: local("NS Sans Italic"),
    url("../fonts/nssans-italic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

/* ===BODY=== */

body {
  font-family: "NS Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  background-color: var(--nes-secondary-background);
  display: grid;
  grid-template-columns: 10vw repeat(4, 1fr) 10vw;
  margin: 0;
}

/* ===HEADER=== */

/* notification (not a real project) */
header {
  box-shadow: 0 2px 0 0 rgba(7, 7, 33, 0.15);
  background-color: var(--nes-primary-background);
  padding: 10px 0;
  display: grid;
  grid-template-columns: 10vw 25px 1fr 10vw;
  grid-column: 1 / 7;
}

@media (max-width: 768px) {
  header {
    grid-template-columns: 15px 25px 1fr;
  }
}

/* notification img */
header img {
  grid-column: 2;
}

/* notification text */
header p {
  color: var(--nes-primary-blue);
  margin: 0 0 0 15px;
  align-self: center;
}

/* ===MAIN-CONTENT-BOX=== */

main {
  box-shadow: 0 2px 0 0 rgba(7, 7, 33, 0.15);
  background-color: var(--nes-primary-background);
  margin: 5rem 0 0;
  padding: 5rem;
  grid-column: 2 / 6;
}

@media (max-width: 768px) {
  main {
    grid-column: 1 / 7;
    padding: 2rem;
  }
}

/* remove base fieldset styling */
fieldset {
  border: none;
  padding: 0;
  margin: 0;
}

/* radio button box */
fieldset.control-group {
  flex-direction: column;
  margin: 0 0 2rem;
}

/* radio button label */
fieldset.control-group label {
  margin: 0 0 0.5rem;
}

/* radio button legend */
fieldset.control-group legend {
  color: var(--nes-primary-blue);
  font-weight: 700;
  width: calc(100% / 3 - 1rem);
  margin: 0 0 0.5rem;
}

@media (max-width: 1024px) {
  fieldset.control-group > legend {
    max-width: 50ch;
    width: unset;
  }
}

/* ===TITLE=== */

/* only first title / legend on page (main form title) */
fieldset:not(.control-group) > legend {
  font-size: 3rem;
  color: var(--nes-primary-blue);
  margin: 0 0 10px;
  padding: 0;
}

/* ===SUBTITLE=== */

p {
  margin: 0 0 25px;
}

/* only apply bottom margin on last p element */
p:has(+ p) {
  margin: 0;
}

/* ===INPUT-GROUP=== */

.control-group {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

@media (max-width: 1024px) {
  .control-group {
    flex-direction: column;
  }
}

/* ===INPUT-BOX=== */

label {
  color: var(--nes-primary-blue);
  font-weight: 700;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: calc(100% / 3 - 1rem);
  margin: 0 0 2rem;
}

@media (max-width: 1024px) {
  label {
    max-width: unset;
    width: 100%;
  }
}

/* ===INPUT=== */

/* base input styling */
input {
  border-style: solid;
  box-sizing: border-box;
  font-size: 1.125rem;
  font-weight: 500;
  transition-duration: 0.3s;
  transition-property: border-color, box-shadow, backdrop-filter;
  transition-timing-function: cubic-bezier(0.2, 0.9, 0.4, 1);
  width: 100%;
  height: 56px;
  border-color: var(--nes-primary-border-color);
  border-radius: 6px;
  border-width: 1px;
  padding-left: 20px;
  padding-right: 20px;
}

@media (max-width: 1024px) {
  input {
    max-width: unset;
    width: 100%;
  }
}

input:hover {
  border-color: var(--nes-secondary-border-color);
}

input:focus {
  border-color: var(--nes-primary-link);
  box-shadow: 0 0 0 1px var(--nes-primary-link), 0 2px 4px rgba(0, 0, 0, 0.03),
    0 4px 8px rgba(0, 0, 0, 0.03), 0 8px 16px rgba(0, 0, 0, 0.03);
  outline: 2px solid transparent;
  outline-offset: 2px;
}

/* file input styling */
input[type="file"] {
  width: min-content;
  padding: 1rem;
  height: auto;
  margin-bottom: 0.5rem;
}

@media (max-width: 1024px) {
  input[type="file"] {
    max-width: unset;
    width: 100%;
  }
}

/* hide original radio button */
input[type="radio"] {
  display: none;
}

/* radio button text styling */
label:has(input[type="radio"]) {
  position: relative;
  padding-left: 2rem;
  cursor: pointer;
  height: 24px;
  color: var(--nes-primary-text);
  font-weight: 400;
  justify-content: center;
}

/* radio button border styling */
label:has(input[type="radio"]):before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 24px;
  height: 24px;
  border: 1px solid var(--nes-primary-border-color);
  border-radius: 50%;
  transition: background-color 0.3s, border-color 0.3s;
}

label:has(input[type="radio"]:hover):before {
  border-color: var(--nes-secondary-border-color);
}

label:has(input[type="radio"]:focus):before {
  border-color: var(--nes-primary-blue);
  border-width: 5px;
}

label:has(input[type="radio"]:checked):before {
  border-color: var(--nes-primary-valid);
}

/* radio button circle styling */
label:has(input[type="radio"]):after {
  content: "";
  position: absolute;
  left: 7px;
  top: 7px;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: var(--nes-primary-valid);
  transform: scale(0);
  opacity: 0;
  transition: transform 0.3s, opacity 0.3s;
}

label:has(input[type="radio"]:checked):after {
  transform: scale(1);
  opacity: 1;
}

/* optional input text styling */
label:has(input:not(:required))::after {
  content: "Optioneel";
  color: var(--nes-primary-blue);
  font-size: 0.875rem;
  font-weight: 400;
}

/* ===INPUT-HANDLING=== */

/* valid input styling */
:has(:user-valid) > input {
  border-color: var(--nes-primary-valid);
}

:has(:user-valid) > input:focus {
  border-color: var(--nes-primary-valid);
  box-shadow: 0 0 0 1px var(--nes-primary-valid), 0 2px 4px rgba(0, 0, 0, 0.03),
    0 4px 8px rgba(0, 0, 0, 0.03), 0 8px 16px rgba(0, 0, 0, 0.03);
  outline: 2px solid transparent;
  outline-offset: 2px;
}

/* invalid input styling */
:has(:user-invalid) > input {
  border-color: var(--nes-primary-error);
}

:has(:user-invalid) > input:focus {
  border-color: var(--nes-primary-error);
  box-shadow: 0 0 0 1px var(--nes-primary-error), 0 2px 4px rgba(0, 0, 0, 0.03),
    0 4px 8px rgba(0, 0, 0, 0.03), 0 8px 16px rgba(0, 0, 0, 0.03);
  outline: 2px solid transparent;
  outline-offset: 2px;
}

/* invalid input error message styling */
:has(:user-invalid)::after {
  background-image: url("../asstes/website/vectors/alert.svg");
  background-size: 25px;
  height: fit-content;
  min-height: 25px;
  background-position: left;
  padding-left: 2rem;
  background-repeat: no-repeat;
  content: attr(data-title);
  display: flex;
  align-items: center;
  color: var(--nes-primary-error);
  max-width: calc(20vw - 2rem);
  font-weight: 400;
}

@media (max-width: 1024px) {
  :has(:user-invalid)::after {
    max-width: unset;
    width: 100%;
  }
}

/* ===BUTTONS=== */

/* base button styling */
.button {
  border-radius: 4px;
  line-height: 1.5625rem;
  min-width: 7.5rem;
  padding: 0.625rem 1.125rem;
  transition: box-shadow 0.15s ease-in-out;
}

/* primary button */
.primary-button {
  background-color: var(--nes-primary-link);
  border: none;
  cursor: pointer;
  box-shadow: inset 0 -0.125rem 0 var(--nes-primary-box-shadow);
  color: var(--nes-primary-background);
  font-size: 1rem;
  max-width: max-content;
}

.primary-button:hover {
  box-shadow: inset 0 -3.125rem 0 var(--nes-primary-box-shadow);
}

/* secondary button */
.secondary-button {
  box-sizing: border-box;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  background-color: var(--nes-secondary-link);
  box-shadow: inset 0 -0.125rem 0 var(--nes-secondary-background);
  color: var(--nes-primary-link);
  margin-right: 1rem;
}

.secondary-button:hover {
  box-shadow: inset 0 -3.125rem 0 var(--nes-secondary-background);
}

/* tertiary button */
.tertiary-button {
  padding: 0;
  border: none;
  cursor: pointer;
  line-height: 1.5625rem;
  background-color: transparent;
  box-shadow: inset 0 -0.125rem 0 var(--nes-secondary-background);
  color: var(--nes-primary-link);
  font-weight: 700;
  transition: box-shadow 0.1s ease-in-out;
  width: fit-content;
  text-decoration: none;
}

.tertiary-button:hover {
  box-shadow: inset 0 -0.125rem 0 var(--nes-primary-link);
}

/* ===STATES=== */

/* Hide the marital contract and deed sections by default */
fieldset[name="marital-contract"],
label[name="deed"] {
  display: none;
}

/* Show marital contract if "Ja" (value="1") is selected for marital status */
form:has(input[name="married"][value="1"]:checked)
  fieldset[name="marital-contract"] {
  display: block;
}

/* Show deed input if "Ja" (value="1") is selected for marital contract */
form:has(input[name="marital-contract"][value="1"]:checked) label[name="deed"] {
  display: block;
}

/* Force hide deed if marital status is "Nee" (value="0") */
form:has(input[name="married"][value="0"]:checked) label[name="deed"] {
  display: none;
}
